@btn-white-padding: @btn-padding;
@btn-white-font-family: @font-secondary;
@btn-white-font-size: 100%;
@btn-white-font-weight: 400;
@btn-white-letter-spacing: 0.025em;
@btn-white-text-transform: uppercase;

@btn-white-color: @c-title;
@btn-white-color_hover: @c-title;
@btn-white-color_focus: @c-title;
@btn-white-color_active: @c-title;

@btn-white-bg: #fff;
@btn-white-bg_hover: #fff;
@btn-white-bg_focus: #fff;
@btn-white-bg_active: #fff;

@btn-white-radius: 2px;
@btn-white-border-width: 1px;
@btn-white-border-style: solid;


.btn_white {
    .shadow_1;
    border-radius: 2px;
    ._mixin_btn_core(
        @btn-white-padding,
        @btn-white-font-family,
        @btn-white-font-size,
        @btn-white-font-weight,
        @btn-white-letter-spacing,
        @btn-white-text-transform
    );
    ._mixin_btn_color(
        @btn-white-color,
        @btn-white-color_hover,
        @btn-white-color_focus,
        @btn-white-color_active
    );
    ._mixin_btn_background(
        @btn-white-bg,
        @btn-white-bg_hover,
        @btn-white-bg_focus,
        @btn-white-bg_active
    );
    .btn__count {
        position: absolute;
        top:0;
        right:0;
        transform: translate(50%,-50%);
        background-color: @c-primary;
        border-radius: 50%;
        font-size: 0.75rem;
        width: 1rem;
        height: 1rem;
        display: flex;
        align-items: center;
        justify-content: center;
        font-weight: 500;
    }
}
